package meerkat.crypto.utils;

import java.math.BigInteger;

/**
 * Created by Tzlil on 4/8/2016.
 */
public class Z implements Arithmetic<BigInteger> {
    @Override
    public BigInteger add(BigInteger a, BigInteger b) {
        return a.add(b);
    }

    @Override
    public BigInteger sub(BigInteger a, BigInteger b) {
        return a.subtract(b);
    }

    @Override
    public BigInteger mul(BigInteger a, BigInteger b) {
        return a.multiply(b);
    }

    @Override
    public BigInteger div(BigInteger a, BigInteger b) {
        return a.divide(b);
    }
}
